classification
Title: pydoc should be integrated with HTML doc
Type: enhancement Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: later
Dependencies: Superseder:
Assigned To: ping Nosy List: akuchling, gtk, gvanrossum, ping
Priority: normal Keywords:

Created on 2001-03-02 23:09 by gvanrossum, last changed 2003-02-05 20:27 by akuchling. This issue is now closed.

Messages (4)
msg3665 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2001-03-02 23:09
I really like pydoc, but it misses one feature compared
to perldoc: often the *good* documentation for a module
or class is in the library reference manual.  There
should be a way to get that integrated with the stuff
that pydoc extracts from the doc strings. 

(Wasn't this Paul Prescod's original idea?)
msg3666 - (view) Author: Ka-Ping Yee (ping) * (Python committer) Date: 2001-04-13 12:59
Logged In: YES 
user_id=45338

Although there is now some integration with the
reference manual, this issue is still largely
unaddressed, since we haven't decided how to
present the two kinds of documentation
together or whether to merge them somehow.

Leaving this open for now.
msg3667 - (view) Author: Garth T Kidd (gtk) Date: 2001-07-30 06:28
Logged In: YES 
user_id=59803

I haven't seen anything in the library reference that 
couldn't be sucked directly out of the source by some 
appropriate combination of formally parseable docstrings 
(PEP-256, PEP-256) and some suitable markup format 
(structuredtext.sf.net). :) 

As a less mind-bending alternative, the docstring 
processing framework importantly leaves dereferencing links 
to the caller. If you decide on a standard way of 
referencing pages in the manual, module authors will need 
only insert simple links in their docstrings to refer to 
the [externally maintained] documentation:: 

  Please refer to `ftp-objects`_ for more detail. 

... or::

  Please refer to `FTP Objects`_ for more detail. 

  .. _FTP Objects: %(ftp-objects)

... or whatever. 

Someone, tell me I'm nuts. :) 
msg3668 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2003-02-05 20:27
Logged In: YES 
user_id=11375

Added to PEP 42 and closed.
History
Date User Action Args
2001-03-02 23:09:59gvanrossumcreate